Bug 184266

Summary: [JSC] Update Test262 to April 6 version
Product: WebKit Reporter: valerie <valerie>
Component: New BugsAssignee: Yusuke Suzuki <ysuzuki>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ews, ross.kirsling, valerie, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 184341    
Bug Blocks:    
Attachments:
Description Flags
Update Test262 to 2017-04-03
none
Update Test262 to 2017-04-03
none
Update Test262 to 2017-04-04
none
Update Test262 to 2017-04-04
none
Update Test262 to 2017-04-04
ysuzuki: review+
Update Test262 to 2017-04-06
none
Update Test262 to 2017-04-06
ysuzuki: review+, commit-queue: commit-queue-
Patch none

Description valerie 2018-04-03 09:11:32 PDT
Update test262 to April 3 version.

Skipped tests in JSTests/test262.yaml maintained.
All new SharedArrayBuffer and Atomics tests skipped as well.
Comment 1 valerie 2018-04-04 08:55:17 PDT
Created attachment 337175 [details]
Update Test262 to 2017-04-03
Comment 2 valerie 2018-04-04 09:33:08 PDT
Created attachment 337179 [details]
Update Test262 to 2017-04-03
Comment 3 valerie 2018-04-04 13:36:04 PDT
Created attachment 337216 [details]
Update Test262 to 2017-04-04
Comment 4 valerie 2018-04-04 14:29:10 PDT
Created attachment 337226 [details]
Update Test262 to 2017-04-04
Comment 5 Ross Kirsling 2018-04-04 16:38:20 PDT
Apparently the reason for failure here was obscured by the `--force` option. 

The actual error message is:
> patching file JSTests/test262/test/built-ins/Function/prototype/toString/line-terminator-normalisation-CR.js
> patch: **** malformed patch at line 7: // This code is governed by the BSD license found in the LICENSE file.
>
> Calling "patch -p0" for file "JSTests/test262/test/built-ins/Function/prototype/toString/line-terminator-normalisation-CR.js" returned status 2.

FWIW, Yusuke needed to modify this exact file during the last update:
https://trac.webkit.org/changeset/228277/webkit
Comment 6 valerie 2018-04-05 15:08:09 PDT
Created attachment 337305 [details]
Update Test262 to 2017-04-04

Updated a few missed skip files
Comment 7 Ross Kirsling 2018-04-05 16:05:10 PDT
So I've proposed marking line-terminator-normalisation-CR.js as binary in https://bugs.webkit.org/show_bug.cgi?id=184341.

This will ensure that the contents of the file never appear in a diff, at which point if you make a new version of this patch, it should finally please svn-apply. :)
Comment 8 Yusuke Suzuki 2018-04-05 20:16:11 PDT
Comment on attachment 337305 [details]
Update Test262 to 2017-04-04

rs=me. But CQ does not work well. I'll attempt to land this manually.
Comment 9 Ross Kirsling 2018-04-05 23:45:57 PDT
Guess the cause of the issue was elsewhere after all:
https://github.com/tc39/test262/pull/1506
Comment 10 valerie 2018-04-06 09:10:41 PDT
Created attachment 337367 [details]
Update Test262 to 2017-04-06
Comment 11 valerie 2018-04-06 09:11:11 PDT
Update patch to April 6 to pull in this PR https://github.com/tc39/test262/pull/1506/commits
Comment 12 Ross Kirsling 2018-04-06 09:30:36 PDT
Fixed the old copy of that file in https://trac.webkit.org/changeset/230332/webkit.
If you resubmit the patch, the bots should accept it at long last!
Comment 13 valerie 2018-04-06 10:05:47 PDT
Created attachment 337373 [details]
Update Test262 to 2017-04-06

Last time? (fingers crossed!)
Comment 14 Build Bot 2018-04-06 10:38:16 PDT
Attachment 337373 [details] did not pass style-queue:

Traceback (most recent call last):
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 84, in <module>
    main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 79, in main
    WebKitPatch(os.path.abspath(__file__)).main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 305, in main
    result = command.check_arguments_and_execute(options, args, self)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 123, in check_arguments_and_execute
    return self.execute(options, args, tool) or 0
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/abstractsequencedcommand.py", line 55, in execute
    self._sequence.run_and_handle_errors(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 73, in run_and_handle_errors
    self._run(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 67, in _run
    step(tool, options).run(state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/steps/checkstyle.py", line 66, in run
    self._tool.executive.run_and_throw_if_fail(self._tool.deprecated_port().check_webkit_style_command() + args, cwd=self._tool.scm().checkout_root)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 135, in run_and_throw_if_fail
    exit_code = self._run_command_with_teed_output(args, child_stdout, **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 107, in _run_command_with_teed_output
    **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 479, in popen
    return subprocess.Popen(string_args, **kwargs)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 7] Argument list too long


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 Yusuke Suzuki 2018-04-07 06:20:27 PDT
Comment on attachment 337373 [details]
Update Test262 to 2017-04-06

rs=me
Comment 16 WebKit Commit Bot 2018-04-07 07:21:01 PDT
Comment on attachment 337373 [details]
Update Test262 to 2017-04-06

Rejecting attachment 337373 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 337373, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

/Volumes/Data/EWS/WebKit/JSTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://webkit-queues.webkit.org/results/7236651
Comment 17 Yusuke Suzuki 2018-04-07 07:28:12 PDT
(In reply to WebKit Commit Bot from comment #16)
> Comment on attachment 337373 [details]
> Update Test262 to 2017-04-06
> 
> Rejecting attachment 337373 [details] from commit-queue.
> 
> Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch',
> '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01',
> 'validate-changelog', '--check-oops', '--non-interactive', 337373,
> '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
> 
> /Volumes/Data/EWS/WebKit/JSTests/ChangeLog neither lists a valid reviewer
> nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).
> 
> Full output: http://webkit-queues.webkit.org/results/7236651

To fill reviewer's name automatically, JSTests/ChangeLog should include `Reviewed by NOBODY (OOPS!).`
Comment 18 Yusuke Suzuki 2018-04-08 11:32:18 PDT
(In reply to Yusuke Suzuki from comment #17)
> (In reply to WebKit Commit Bot from comment #16)
> > Comment on attachment 337373 [details]
> > Update Test262 to 2017-04-06
> > 
> > Rejecting attachment 337373 [details] from commit-queue.
> > 
> > Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch',
> > '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01',
> > 'validate-changelog', '--check-oops', '--non-interactive', 337373,
> > '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
> > 
> > /Volumes/Data/EWS/WebKit/JSTests/ChangeLog neither lists a valid reviewer
> > nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).
> > 
> > Full output: http://webkit-queues.webkit.org/results/7236651
> 
> To fill reviewer's name automatically, JSTests/ChangeLog should include
> `Reviewed by NOBODY (OOPS!).`

I'll land it manually!
Comment 19 Yusuke Suzuki 2018-04-08 13:03:49 PDT
Created attachment 337462 [details]
Patch

Patch for landing
Comment 20 Build Bot 2018-04-08 13:36:46 PDT
Attachment 337462 [details] did not pass style-queue:

Traceback (most recent call last):
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 84, in <module>
    main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 79, in main
    WebKitPatch(os.path.abspath(__file__)).main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 305, in main
    result = command.check_arguments_and_execute(options, args, self)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 123, in check_arguments_and_execute
    return self.execute(options, args, tool) or 0
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/abstractsequencedcommand.py", line 55, in execute
    self._sequence.run_and_handle_errors(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 73, in run_and_handle_errors
    self._run(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 67, in _run
    step(tool, options).run(state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/steps/checkstyle.py", line 66, in run
    self._tool.executive.run_and_throw_if_fail(self._tool.deprecated_port().check_webkit_style_command() + args, cwd=self._tool.scm().checkout_root)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 135, in run_and_throw_if_fail
    exit_code = self._run_command_with_teed_output(args, child_stdout, **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 107, in _run_command_with_teed_output
    **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 479, in popen
    return subprocess.Popen(string_args, **kwargs)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 7] Argument list too long


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 WebKit Commit Bot 2018-04-08 16:09:30 PDT
Comment on attachment 337462 [details]
Patch

Clearing flags on attachment: 337462

Committed r230382: <https://trac.webkit.org/changeset/230382>
Comment 22 Yusuke Suzuki 2018-04-08 21:41:22 PDT
Committed r230387: <https://trac.webkit.org/changeset/230387>
Comment 23 Radar WebKit Bug Importer 2018-04-08 21:47:30 PDT
<rdar://problem/39271091>